
function times = HomogeneousPoissonProcess(lambda, T)

% ============================================================================
% DESCRIPTION
%
% usage: times = HomogeneousPoissonProcess(lambda, duration)
%
% Generates a row vector of event times for a homogenous Poisson process
% with rate lambda and given duration.
%
% ----------------------------------------------------------------------------
% PARAMETERS
%
% lambda    the rate of the Poisson process
% T         the duration of the Poisson process 
%
% ---------------------------------------------------------------------------
% RETURN VALUES
%
% times     a row vector of event times
%
% ============================================================================

%% INSERT YOUR CODE HERE


end